hpp-corbaserver: _impl_Constraint Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | List of all members
_impl_Constraint Class Referenceabstract

`#include <hpp/core_idl/_constraints-idl.hh>`

Inheritance diagram for _impl_Constraint:
[legend]
Collaboration diagram for _impl_Constraint:
[legend]

## Public Member Functions
virtual | ~_impl_Constraint ()
virtual void | deleteThis ()=0
virtual ::CORBA::Boolean | deleteIfExpired ()=0
virtual void | persistantStorage (::CORBA::Boolean persistant)=0
virtual ::CORBA::Boolean | apply (::hpp::floatSeq &config)=0
virtual char * | name ()=0
virtual char * | str ()=0
virtual ::CORBA::Boolean | isSatisfied (const ::hpp::floatSeq &config)=0
virtual Constraint_ptr | copy ()=0
virtual _CORBA_Boolean | _dispatch (omniCallHandle &)

## Constructor & Destructor Documentation

## ◆ ~_impl_Constraint()

virtual _impl_Constraint::~_impl_Constraint | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _dispatch()

virtual _CORBA_Boolean _impl_Constraint::_dispatch | ( | omniCallHandle & |  | ) |
| virtual

Reimplemented in _impl_ConfigProjector, and _impl_ConstraintSet.

## ◆ apply()

virtual ::CORBA::Boolean _impl_Constraint::apply | ( | ::hpp::floatSeq & | config | ) |
| pure virtual

## ◆ copy()

virtual Constraint_ptr _impl_Constraint::copy | ( |  | ) |
| pure virtual

## ◆ deleteIfExpired()

virtual ::CORBA::Boolean _impl_Constraint::deleteIfExpired | ( |  | ) |
| pure virtual

## ◆ deleteThis()

virtual void _impl_Constraint::deleteThis | ( |  | ) |
| pure virtual

## ◆ isSatisfied()

virtual ::CORBA::Boolean _impl_Constraint::isSatisfied | ( | const ::hpp::floatSeq & | config | ) |
| pure virtual

## ◆ name()

virtual char * _impl_Constraint::name | ( |  | ) |
| pure virtual

## ◆ persistantStorage()

virtual void _impl_Constraint::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |
| pure virtual

## ◆ str()

virtual char * _impl_Constraint::str | ( |  | ) |
| pure virtual

The documentation for this class was generated from the following file:

- src/hpp/core_idl/_constraints-idl.hh